package com.ruoyi.rocketmq.service;

import com.ruoyi.rocketmq.domain.InitialDockerInfo;

import java.util.List;
import java.util.Map;

/**
 * 容器监控信息Service接口
 * 
 * @author gyt
 * @date 2025-08-25
 */
public interface IInitialDockerInfoService 
{
    /**
     * 查询容器监控信息
     * 
     * @param id 容器监控信息主键
     * @return 容器监控信息
     */
    public InitialDockerInfo selectInitialDockerInfoById(Long id);

    /**
     * 查询容器监控信息列表
     * 
     * @param initialDockerInfo 容器监控信息
     * @return 容器监控信息集合
     */
    public List<InitialDockerInfo> selectInitialDockerInfoList(InitialDockerInfo initialDockerInfo);

    /**
     * 新增容器监控信息
     * 
     * @param initialDockerInfo 容器监控信息
     * @return 结果
     */
    public int insertInitialDockerInfo(InitialDockerInfo initialDockerInfo);

    /**
     * 修改容器监控信息
     * 
     * @param initialDockerInfo 容器监控信息
     * @return 结果
     */
    public int updateInitialDockerInfo(InitialDockerInfo initialDockerInfo);

    /**
     * 批量删除容器监控信息
     * 
     * @param ids 需要删除的容器监控信息主键集合
     * @return 结果
     */
    public int deleteInitialDockerInfoByIds(Long[] ids);

    /**
     * 删除容器监控信息信息
     * 
     * @param id 容器监控信息主键
     * @return 结果
     */
    public int deleteInitialDockerInfoById(Long id);

    /**
     * 批量新增容器监控信息
     *
     * @param initialDockerInfo 容器监控信息集合
     * @return 结果
     */
    public int batchInsertInitialDockerInfo(List<InitialDockerInfo> initialDockerInfo);

    /**
     * 容器基础信息
     * @param initialDockerInfo
     * @return
     */
    InitialDockerInfo getDockerDetailsMsg(InitialDockerInfo initialDockerInfo);

    /**
     * 容器的cpu利用率
     * @param initialDockerInfo
     * @return
     */
    Map<String, Object> cpuUtilEcharts(InitialDockerInfo initialDockerInfo);
    /**
     * 容器的内存利用率
     * @param initialDockerInfo
     * @return
     */
    Map<String, Object> memUtilEcharts(InitialDockerInfo initialDockerInfo);
    /**
     * 容器的网络速率(KB/s)
     * @param initialDockerInfo
     * @return
     */
    Map<String, Object> netSpeedEcharts(InitialDockerInfo initialDockerInfo);

    /**
     * 获取指定服务器的容器id
     * @param initialDockerInfo
     * @return
     */
    List<Map> getAllDockerId(InitialDockerInfo initialDockerInfo);
}
